Page MenuHomePhabricator

useEntitySourceBasedFederation true by default in Wikibase
Closed, ResolvedPublic

Description

Commons has been using these services for quite some time now.

Having the default switched would have stopped us running into things like T232040#5774510 as all dev machines would have already been switched.

Event Timeline

Addshore created this task.Jan 6 2020, 9:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 6 2020, 9:16 AM
Addshore updated the task description. (Show Details)Jan 6 2020, 9:20 AM
Maintenance_bot moved this task from incoming to in progress on the Wikidata board.Jan 7 2020, 2:15 PM

Change 562578 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Set useEntitySourceBasedFederation to true for Wikidata

https://gerrit.wikimedia.org/r/562578

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJan 7 2020, 6:45 PM

Change 562579 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Set useEntitySourceBasedFederation true by default

https://gerrit.wikimedia.org/r/562579

Change 562694 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/WikibaseLexeme@master] Stop resetting the TermBuffer service

https://gerrit.wikimedia.org/r/562694

Change 562775 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Introduce resetPrefetchingTermLookup in WikibaseServices

https://gerrit.wikimedia.org/r/562775

Change 562776 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/WikibaseLexeme@master] Reset TermBuffer service properly in tests

https://gerrit.wikimedia.org/r/562776

Ladsgroup removed Ladsgroup as the assignee of this task.Jan 8 2020, 6:48 PM
Ladsgroup added a subscriber: Ladsgroup.

@WMDE-leszek said he will look into this.

Change 563235 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] NOT READY: work on T241971

https://gerrit.wikimedia.org/r/563235

Change 563235 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] Adjust integration test clean up to have test pass also when EntitySources based federation is in use

https://gerrit.wikimedia.org/r/563235

Change 563235 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Adjust integration test clean up to have test pass also when EntitySources based federation is in use

https://gerrit.wikimedia.org/r/563235

Addshore triaged this task as High priority.Jan 14 2020, 4:08 PM

Change 562579 abandoned by Ladsgroup:
Set useEntitySourceBasedFederation true by default

Reason:
Other patches exist already

https://gerrit.wikimedia.org/r/562579

Change 562775 abandoned by Ladsgroup:
Introduce resetPrefetchingTermLookup in WikibaseServices

Reason:
Other patches exist already

https://gerrit.wikimedia.org/r/562775

Change 569016 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] WikibaseRepoTest: adjust test entity source to also provide items

https://gerrit.wikimedia.org/r/569016

Change 569017 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Unify localEntitySourceName config setting in client and repo

https://gerrit.wikimedia.org/r/569017

Change 569252 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Set useEntitySourceBasedFederation config option to true by default

https://gerrit.wikimedia.org/r/569252

Change 569262 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[operations/mediawiki-config@master] Set wmgUseEntitySourceBasedFederation to true for all wikibase-enabled wikis

https://gerrit.wikimedia.org/r/569262

Change 569323 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Swap federation mode in RepoLinker constructor in some tests

https://gerrit.wikimedia.org/r/569323

Change 569324 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Swap federation mode in some more tests

https://gerrit.wikimedia.org/r/569324

Change 569328 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Reorganized slightly ValidatorBuildersTest

https://gerrit.wikimedia.org/r/569328

Change 569016 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] WikibaseRepoTest: adjust test entity source to also provide items

https://gerrit.wikimedia.org/r/569016

Change 569262 abandoned by WMDE-leszek:
Set wmgUseEntitySourceBasedFederation to true for all wikibase-enabled wikis

Reason:
done in Ie3fe016c07d6aefec2ef33632458a148e0d90135

https://gerrit.wikimedia.org/r/569262

Change 569328 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Reorganized slightly ValidatorBuildersTest

https://gerrit.wikimedia.org/r/569328

Change 569323 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Swap federation mode in RepoLinker constructor in some tests

https://gerrit.wikimedia.org/r/569323

Change 569324 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Swap federation mode in some more tests

https://gerrit.wikimedia.org/r/569324

Change 569017 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Unify localEntitySourceName config setting in client and repo

https://gerrit.wikimedia.org/r/569017

Change 569252 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Set useEntitySourceBasedFederation config option to true by default

https://gerrit.wikimedia.org/r/569252

WMDE-leszek closed this task as Resolved.Feb 10 2020, 9:30 AM
WMDE-leszek claimed this task.